Loading...
Searching...
No Matches
caf::make_sink_result< In > Class Template Reference

Returns a stream sink with the slot ID of its first inbound path. More...

`#include <make_sink_result.hpp>`

Inheritance diagram for caf::make_sink_result< In >:

## Public Types

using | input_type = In
| Type of a single element.
using | sink_type = stream_sink<In>
| Fully typed stream manager as returned by make_source.
using | sink_ptr_type = intrusive_ptr<sink_type>
| Pointer to a fully typed stream manager.

## Public Member Functions

| make_sink_result (stream_slot slot, sink_ptr_type ptr) noexcept
| make_sink_result (make_sink_result &&)=default
| make_sink_result (const make_sink_result &)=default
make_sink_result & | operator= (make_sink_result &&)=default
make_sink_result & | operator= (const make_sink_result &)=default
stream_slot | inbound_slot () const noexcept
sink_ptr_type & | ptr () noexcept
const sink_ptr_type & | ptr () const noexcept

## Detailed Description

template<class In>
class caf::make_sink_result< In >

Returns a stream sink with the slot ID of its first inbound path.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/make_sink_result.hpp